1. Item
itemdb API Guide
  • General
    • Getting Started
    • API Access
    • Slugs
    • Widget
      • Widget
      • Tab Example
  • v1
    • Item
      • Get latest items
        GET
      • Get an item
        GET
      • Get item's price history
        GET
      • Get item's auction history
        GET
      • Get item's restock history
        GET
      • Get item's trade history
        GET
      • Get items color palette
        GET
      • Get item's color palette
        POST
      • Get many items
        GET
      • Get many items
        POST
      • Get Item Drops Data
        GET
      • Get Dyeworks Variants
        GET
      • Get MME Paths
        GET
      • Get Item Effects
        GET
      • Get Cooking Pot Recipes
        GET
    • Search
      • Search for an item
    • Lists
      • Get List Info
      • Get List Item Info
      • Get List Item Data
    • Misc
      • Get all ways to change a Pet Color/Species
      • Get wearable preview
      • Get cached item's thumbnail
    • Schemas
      • Schemas
        • SaleStatus
        • ItemMallData
        • UseTypes
        • ListData
        • ListItemInfo
        • ItemData
        • itemColorData
        • ItemPriceData
        • OwlsData
        • ItemRestockData
        • ItemAuctionData
        • TradeData
        • TradeItem
        • UserList
        • ListItemInfo
        • ColorData
        • SearchFilters
  • v2
    • Intents & Cache
    • Items
      • Get a single item
      • Get many items
      • Get many items
    • Search
      • Search items
    • Lists
      • Get a list's items
    • Schemas
      • ItemIntent
      • ItemFlags
      • ItemPriceField
      • ItemPriceV2
      • NCValue
      • ItemSaleStatusV2
      • UseTypes
      • ThreeStateBoolean
      • ItemV2Minimal
      • ItemV2Card
      • ItemV2Pricer
      • ItemV2Full
      • Error
  1. Item

Get latest items

GET
https://itemdb.com.br/api/v1/items
Data Point Cost:Number of items returned
Get the latest items added to the database

Request

Query Params

Responses

🟢200OK
application/json
Returns an array of ItemData
Bodyapplication/json

Example
[
    {
        "internal_id": 71,
        "image": "https://images.neopets.com/items/negg.gif",
        "image_id": "negg",
        "item_id": 8,
        "rarity": 45,
        "name": "Negg",
        "specialType": "trading",
        "isNC": false,
        "type": "np",
        "estVal": 4371,
        "weight": 3,
        "description": "A Negg is a Neopian delicacy.  *** WORTH 1 NEGG POINT AT THE NEGGERY ***",
        "status": "active",
        "category": "Food",
        "isNeohome": false,
        "isWearable": false,
        "color": {
            "hsv": [
                28.643216080402,
                98.02955665024629,
                79.6078431372549
            ],
            "rgb": [
                203,
                99,
                4
            ],
            "lab": [
                53.63108729347468,
                36.90719903461171,
                61.33641181173597
            ],
            "hex": "#CB6304",
            "type": "vibrant",
            "population": 58
        },
        "findAt": {
            "safetyDeposit": "https://www.neopets.com/safetydeposit.phtml?obj_name=Negg&category=0",
            "shopWizard": "https://www.neopets.com/shops/wizard.phtml?string=Negg",
            "auction": "https://www.neopets.com/genie.phtml?type=process_genie&criteria=exact&auctiongenie=Negg",
            "trading": "https://www.neopets.com/island/tradingpost.phtml?type=browse&criteria=item_exact&search_string=Negg",
            "closet": null,
            "restockShop": "https://www.neopets.com/objects.phtml?type=shop&obj_type=1",
            "dti": null
        },
        "isMissingInfo": false,
        "price": {
            "value": 22450,
            "addedAt": "2023-03-23T06:32:55.181Z",
            "inflated": false
        },
        "comment": null
    }
]
Modified at 2026-04-26 14:56:09
Previous
Tab Example
Next
Get an item
Built with